Bug 111072 - NFS version 3 shows strange error with IRIX servers.
NFS version 3 shows strange error with IRIX servers.
Status: CLOSED DEFERRED
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks: 116727
  Show dependency treegraph
 
Reported: 2003-11-26 18:56 EST by David Joo
Modified: 2007-11-30 17:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-15 10:41:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Strace on rm -rf with nfsvers=3 (3.09 KB, text/plain)
2003-11-26 18:59 EST, David Joo
no flags Details
tcpdumps on the issue with nfsvers=3 option (3.40 KB, text/plain)
2003-11-26 19:01 EST, David Joo
no flags Details
tcpdump using ethereal (12.26 KB, text/plain)
2003-11-27 20:13 EST, David Joo
no flags Details
tcpdump using -w file (7.68 KB, application/octet-stream)
2003-11-27 20:14 EST, David Joo
no flags Details

  None (edit)
Description David Joo 2003-11-26 18:56:59 EST
Description of problem:
When IRIX server nfs exports and RHEL3 has mounted a directory, when
client s do rm -rf on a directory it will delete the contents but also
give out an error message and not delete actual directory.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. nfs mount a directory off IRIX server 
2. rm -rf on the directory
3.
  
Actual results:
fails to remove the directory itself and returns a 525 error message

Expected results:
Delete the directory without any problem.

Additional info:
When the directory is mounted with "nfsvers=2" option, it works well.
However, if it is mounted with "nfsvers=3" then problem keeps on appears
Comment 1 David Joo 2003-11-26 18:59:56 EST
Created attachment 96219 [details]
Strace on rm -rf with nfsvers=3
Comment 2 David Joo 2003-11-26 19:01:48 EST
Created attachment 96220 [details]
tcpdumps on the issue with nfsvers=3 option
Comment 3 Steve Dickson 2003-11-27 10:17:05 EST
Could you post a tcpdump file (i.e. tcpdump -w file) of this error?
Comment 4 David Joo 2003-11-27 20:13:59 EST
Created attachment 96230 [details]
tcpdump using ethereal
Comment 5 David Joo 2003-11-27 20:14:33 EST
Created attachment 96231 [details]
tcpdump using -w file
Comment 6 Martin C. Messer 2003-12-04 02:22:32 EST
Another customer running DEC Alpha 4.x is experiencing NFS problems of
a very similar nature. In the IRIX case, RHL9 could mount the share
with no additional options, and no problems were encountered. Same
with DEC Alpha. RHL9 works fine, RHEL3 hangs when any operation is
attempted in the files under the share. After remounting with
nfsvers=2, no more problems.
Comment 7 Martin C. Messer 2003-12-16 18:49:27 EST
Steve, do you need any additional info on this one?
Comment 8 Jeff Hillman 2004-02-16 12:33:21 EST
I am experiencing the same issue.  We have multiple linux clients 
with different OS's, but this issue is isolated to RHEL 3.0, and we 
are running the WS version.  We are running kernel 2.4.21-9elsmp and 
the IRIX NFS server is 6.5.20f.  We are also running an IRIX NIS 
server of the same version using automount with NFS, but we removed 
NIS from the picture and verified this is with NFS.  We get Unknown 
Error 525 when trying to do the rm -rf command.
Comment 12 Steve Dickson 2004-06-15 10:41:28 EDT
This is a known IRIX server bug:
Greg Banks wrote:

>Trond Myklebust wrote:
>
>>>>>>>" " == Steve Dickson <SteveD@redhat.com> writes:
>>
>>     > It seems IRIX servers fails READDIRPLUS calls with
>>     > NFSERR_TOOSMALL when the cookie does not exist which is *not*
>>     > the case with "normal" READDIR calls...  Cute uh...
>>
>>Uhhh... Quite...
>>
>>[...] the above blatant
>>server bug [...]
>
>
>I've raised an SGI bug report for this.  I expect it to be fixed in
IRIX 6.5.24.
>
>Greg.
>

Note You need to log in before you can comment on or make changes to this bug.